Bug 1677491 - libldac doesn't support big-endian, s390x build fails
Summary: libldac doesn't support big-endian, s390x build fails
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libldac
Version: 31
Hardware: s390x
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Gergely Gombos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-s390x 1671064
TreeView+ depends on / blocked
 
Reported: 2019-02-15 04:45 UTC by Gergely Gombos
Modified: 2019-08-16 16:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1671064 None CLOSED Review Request: libldac - LDAC library from AOSP 2019-10-21 20:08:00 UTC

Description Gergely Gombos 2019-02-15 04:45:55 UTC
libldac request: https://bugzilla.redhat.com/show_bug.cgi?id=1671064

Failed Koji build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=32827186

Throws error because of upstream code:
#if __BYTE_ORDER == __LITTLE_ENDIAN
/* stuff */
#else   /* __BYTE_ORDER */
#error unsupported byte order
#endif

Original code here: https://android.googlesource.com/platform/external/libldac/+/master/src/ldacBT_internal.c#239

I'd like an excludeArch here since it builds fine on all other arches. Thanks!

Comment 1 Ben Cotton 2019-08-13 16:55:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:33:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.


Note You need to log in before you can comment on or make changes to this bug.